import { createContext } from 'react';

interface IWarnings extends Document {
  text: string;
  date: Date;
  given_by: {
    _id: string;
    name: string;
  };
}

enum Role {
  Admin,
  Staff,
  User,
}

export interface IProfile {
  external_id: string;
  studentCardNumber?: string;
  roomNumber?: string;
  picture?: string;
  role: Role.Admin | Role.Staff | Role.User;
  email: string;
  name: string;
  warnings: [IWarnings] | [];
}

const UserContext = createContext({ loggedIn: false, profile: {} as IProfile });

export default UserContext;
